Loading...
Searching...
No Matches
osmo_xlm_prim_rk_reg Struct Reference

`#include <sigtran_sap.h>`

## Data Fields

struct osmo_ss7_routing_key | key
enum osmo_ss7_as_traffic_mode | traf_mode
uint32_t | status

## Field Documentation

## key

struct osmo_ss7_routing_key osmo_xlm_prim_rk_reg::key

Referenced by handle_rkey_dereg_resp(), handle_rkey_reg_resp(), lm_rkm_reg(), lm_timer_cb(), and osmo_xlm_sap_down().

## status

uint32_t osmo_xlm_prim_rk_reg::status

Referenced by handle_rkey_reg_resp(), and lm_rkm_reg().

## traf_mode

enum osmo_ss7_as_traffic_mode osmo_xlm_prim_rk_reg::traf_mode

Referenced by lm_timer_cb(), and osmo_xlm_sap_down().

The documentation for this struct was generated from the following file:

- include/osmocom/sigtran/sigtran_sap.h